# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    bin_name = "iconsext_setup.exe"
    print("Download/Update package content from upstream binary sources")

    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    latest_bin = bin_name
    bin_temp = "iconsext.exe"
    url_dl = "https://www.nirsoft.net/utils/iconsext_setup.exe"

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

    # Getting version from binary
    sevenzip_path = makepath(programfiles, "7-Zip", "7z.exe")
    for zip_in_dir in glob.glob("*.exe"):
        print("Extracting " + zip_in_dir)
        run('"%s" x %s' % (sevenzip_path, zip_in_dir))
        version = get_file_properties(bin_temp)["ProductVersion"]
        remove_file(bin_temp)
        remove_tree("$PLUGINSDIR")
        remove_file("iconsext.chm")
        remove_file("readme.txt")
        remove_file("uninst.exe")

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)
